package com.brilliance.isc.funds.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;


import java.math.BigDecimal;
import java.util.Date;
import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:fxd:
*/

@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxd {



        //Internal Unique ID of Import L/C
        //@TDSetter(max=8)
        private String inr = NULLSTR;

        //Reference
        //@TDSetter(max=16)
        private String ownref = NULLSTR;

        //Externally Displayed Name to Identify the Contract
        //@TDSetter(max=40)
        private String nam = NULLSTR;

        //Date Foreign Exchange Opened/Issued
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
       // @TDSetter
        private Date opndat = NULLDATE;

        //Responsible User
       // @TDSetter(max=8)
        private String ownusr = NULLSTR;

        //Foreign Exchange Type
       // @TDSetter(max=2)
        private String fxtyp = NULLSTR;

        //Rate
       // @TDSetter(scale=6)
        private  BigDecimal rat  = Decimals.ZERO_SCALE6;

        //Middle Rate
     //   @TDSetter(scale=6)
        private  BigDecimal midrat  = Decimals.ZERO_SCALE6;

        //Quote Reference
       // @TDSetter(max=16)
        private String quoref = NULLSTR;

        //Fund Department Reference
      //  @TDSetter(max=16)
        private String fudref = NULLSTR;

        //Value date
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
      //  @TDSetter
        private Date valdat = NULLDATE;

        //Date of confirmation
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
      //  @TDSetter
        private Date cnfdat = NULLDATE;

        //Settlement Date
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
       // @TDSetter
        private Date setdat = NULLDATE;

        //Settlemt date from
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
      //  @TDSetter
        private Date setdatfrm = NULLDATE;

        //Settlement date to
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
       // @TDSetter
        private Date setdatto = NULLDATE;

        //Date of Closed
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        //@TDSetter
        private Date clsdat = NULLDATE;

        //Version
     //   @TDSetter(max=4)
        private String ver = NULLSTR;

        //Branch INR
      //  @TDSetter(max=8)
        private String branchinr = NULLSTR;

        //Branch INR
     //   @TDSetter(max=8)
        private String bchkeyinr = NULLSTR;

        //TRADE IN
       // @TDSetter(max=3)
        private String trdint = NULLSTR;

        //TRADE OUT
     //   @TDSetter(max=3)
        private String trdout = NULLSTR;

        //交易主体
     //   @TDSetter(max=2)
        private String trnman = NULLSTR;

        //Foreign Account
      //  @TDSetter(max=21)
        private String acc = NULLSTR;

        //CNY Account
      //  @TDSetter(max=21)
        private String acc2 = NULLSTR;

        //Clearing Department Responsible User
        //@TDSetter(max=8)
        private String usr = NULLSTR;

        //Disposition
      //  @TDSetter(max=2)
        private String dsp = NULLSTR;

        //Disposition
      //  @TDSetter(max=2)
        private String dsp2 = NULLSTR;

        //Cash cover percent
      //  @TDSetter(scale=2)
        private  BigDecimal cshpct  = Decimals.ZERO_SCALE2;

        //Rate
       //@TDSetter(scale=6)
        private  BigDecimal rat1  = Decimals.ZERO_SCALE6;

        //Account manager
     //   @TDSetter(max=8)
        private String accmng = NULLSTR;

        //客户经理部门
     //   @TDSetter(max=8)
        private String hdbch = NULLSTR;

        //Entity  KEY of Entry
        //@TDSetter(max=8)
        private String etyextkey = NULLSTR;






































}