package com.brilliance.isc.funds.vo;

import com.brilliance.isc.common.vo.PageVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@NoArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class FtdVo extends PageVo {

    /**
     *  汇款业务编号
     */
    private String seaownref;
    /**
     * 客户号/名称
     */
    private String nam;
    /**
     * 汇款开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatfrom;
    /**
     * 汇款截止日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatto;


    /**
     * //币种
     */
    private String seacur;
    /**
     * //金额
     */
    private BigDecimal seaamtfr;
    /**
     * //金额
     */
    private BigDecimal seaamtto;


}
